Bug 1650687 - Unable to install custom packages via capsule due to GPG key failure
Summary: Unable to install custom packages via capsule due to GPG key failure
Keywords:
Status: CLOSED DUPLICATE of bug 1651634
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.4
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 20:51 UTC by Ram Nayan Singh
Modified: 2019-08-12 19:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 16:17:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24316 None None None 2018-11-16 20:51:32 UTC

Description Ram Nayan Singh 2018-11-16 20:51:32 UTC
Description of problem:

clients register to capsule are unable to properly retrieve the GPG key of a  repository from the capsule.

Version-Release number of selected component (if applicable):

satellite-capsule-6.4.0-15.el7sat.noarch
satellite-common-6.4.0-15.el7sat.noarch
satellite-installer-6.4.0.7-2.el7sat.noarch



How reproducible:
Everytime

Steps to Reproduce:
1. Configure repository with custom gpg key
2. Publish and Promote repository
3. Build and/or subscribe system 
4. Attempt to install any package from the custom repository


Actual results:
Package fails to install with the following errors
warning: rpmts_HdrFromFdno: Header V3 RSA/SHA1 Signature, key ID 64de1bb2: NOKEY
Retrieving key from https://<CAPSULE SERVER NAME>/katello/api/repositories/10/gpg_key_content


Expected results:
Download of custom GPG key from capsule as well as package installation.


Note You need to log in before you can comment on or make changes to this bug.